--- title: "Get all Sensors in a Domain" slug: "get-all-sensors-in-a-domain" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:37:28Z published: 2026-09-23T09:37:28Z canonical: "docs.trellix.com/get-all-sensors-in-a-domain" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all Sensors in a Domain This API gets the list of Sensors available in the specified domain. If the domain is not specified, details of all the Sensors in all ADs will be provided. ## Resource URL GET /sensors?domain= ## Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | Domain_id | Domain Id | Number | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | SensorDescriptor | Brief Sensor detail | Array | Details of object in SensorDescriptor: | Field Name | Description | Data Type | | --- | --- | --- | | sensorId | Sensor primary key | Number | | name | Name of the Sensor | String | | model | Sensor model | String | | Description | Sensor description | String | | DomainId | Id of domain to which this Sensor belongs to | Number | | isFailOver | Is the Sensor fail over | Boolean | | isLoadBalancer | Is the Sensor load balancer | Boolean | | SigsetVersion | Signature set version number applied to the Sensor | String | | SoftwareVersion | Sensor software version | String | | LastSignatureUpdateTs | Last configuration download timestamp | String | | IPSPolicyID | IPS policy id applied to the Sensor | Number | | ReconPolicyID | Recon policy id applied to the Sensor | Number | | LastModTs | Last modified timestamp | String | | sensorIPAddress | Sensor IP address | String | | nsmVersion | Manager version | String | | MemberSensors | Member Sensors in case of fail over and load balancer | Array | Details of object in member Sensors: | Field Name | Description | Data Type | | --- | --- | --- | | sensorId | Sensor primary key | Number | | name | Name of the Sensor | String | | sensorIPAddress | Sensor IP address | String | | SigsetVersion | Signature set version number applied to the Sensor | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/sensors](https://%3CNSM_IP%3E/sdkapi/sensors) **Response** ``` {  "SensorDescriptor": [    {      "DomainID": 0,      "name": "M-1450",      "model": "M-1450",      "ReconPolicyID": 0,      "IPSPolicyID": 19,      "SigsetVersion": "7.5.14.25",      "SoftwareVersion": "7.1.2.29",      "LastSignatureUpdateTs": "2012-07-21 00:19:00",      "sensorId": 1001,      "LastModTs": "2012-07-24 00:19:00",      "Description": "MCAFEE-NETWORK-SECURITY-PLATFORM"      "sensorIPAddress": "172.16.232.56",      "nsmVersion": "8.0.5.1.20" ,      "isFailOver": false    },    {      "DomainID": 101,      "name": "M-2950",      "model": "M-2950",      "ReconPolicyID": 0,      "IPSPolicyID": 301,      "SigsetVersion": "7.5.14.25",      "SoftwareVersion": "7.1.2.29",      "LastSignatureUpdateTs": "2012-07-23 00:10:00",      "sensorId": 1002,      "LastModTs": "2012-07-24 00:19:00",      "Description": "MCAFEE-NETWORK-SECURITY-PLATFORM"       "sensorIPAddress": "172.16.232.72",      "nsmVersion": "8.0.5.1.20" ,      "isFailOver": false    }, {               "sensorId": 1006,               "name": "FO_3050",               "model": "M-3050",               "Description": "MCAFEE-NETWORK-SECURITY-PLATFORM",               "DomainID": 101,               "isFailOver": true,               "SigsetVersion": "8.6.39.6",               "SoftwareVersion": "8.1.3.16",               "LastSignatureUpdateTs": "2014-09-05 20:43:54",               "IPSPolicyID": 19,               "ReconPolicyID": 0,               "sensorIPAddress": "10.213.174.50",               "nsmVersion": "8.1.7.5.10",               "MemberSensors":               [                   {                       "sensorId": 1006,                       "name": "API_M3050_1",                       "sensorIPAddress": "10.213.174.50",                       "SigsetVersion": "8.6.39.6"                   },                   {                       "sensorId": 1007,                       "name": "API_M3050_2",                       "sensorIPAddress": "10.213.174.51",                       "SigsetVersion": "8.6.39.6"                   }               ]           }  ] } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |